This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 82662 - regex library handle initialized values and crashes
regex library handle initialized values and crashes
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-24 12:15 EST by Michel Arboi
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-10 19:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Arboi 2003-01-24 12:15:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When I tested the new NASL interpretor (for Nessus), I discovered that some
scripts made it crash under Redhat 8.0
Valgrind revealed that even when it did not crash, the library handled
uninitialized values.
This could not be reproduced un Redhat 7.3, so I suppose that the bug is in
glibc-2.2.93-5 only.

To reproduce it, fetch a development version from Nessus CVS -- but not the last
one which uses internal regex on Redhat 8.0. Version from Jan 23rd 2003 should
be OK.
See http://www.nessus.org for instructions.
Compile nessus-libraries and libnasl, run a web server on localhost and run :
nasl /dir/.../webmirror.nasl

If it does not crash, you are lucky, but running it under valgrind should reveal
some horrors.

If this bug is not already known, I can find a simpler way to reproduce the
problem. email me.




Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:

    To reproduce it, fetch a development version from Nessus CVS -- but not the
last one which uses internal regex on Redhat 8.0. Version from Jan 23rd 2003
should be OK.
See http://www.nessus.org for instructions.
Compile nessus-libraries and libnasl, run a web server on localhost and run :
nasl /dir/.../webmirror.nasl



Actual Results:  Crash

Expected Results:  Not crash !

Additional info:

If it does not crash, you are lucky, but running it under valgrind should reveal
some horrors.
Comment 1 Jakub Jelinek 2003-01-24 13:15:47 EST
Please try newer glibc (from rawhide). It should be fixed in there.
Comment 2 Jakub Jelinek 2003-04-10 19:09:23 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-089.html

Note You need to log in before you can comment on or make changes to this bug.